refactor: improve workflows logic. (#3072)

* refactor: improve workflows logic.

* update args.

* remove unused contents.

* update milestone merge contents.

* update contents.
This commit is contained in:
Monet Lee 2025-01-23 15:18:39 +08:00 committed by OpenIM-Robot
parent 5c192d05ee
commit 1bf70aa2d8

View File

@ -113,33 +113,14 @@ jobs:
echo "Cherry-picking commit: $merge_commit" echo "Cherry-picking commit: $merge_commit"
if ! git cherry-pick "$merge_commit" --strategy=recursive -X theirs; then if ! git cherry-pick "$merge_commit" --strategy=recursive -X theirs; then
echo "Conflict detected for $merge_commit. Resolving with incoming changes." echo "Cherry-pick encountered conflicts, attempting to continue..."
conflict_files=$(git diff --name-only --diff-filter=U) git cherry-pick --continue || { echo "Cherry-pick failed"; exit 1; }
echo "Conflicting files:"
echo "$conflict_files"
for file in $conflict_files; do
if [ -f "$file" ]; then
echo "Resolving conflict for $file"
git add "$file"
else
echo "File $file has been deleted. Skipping."
git rm "$file"
fi
done
echo "Conflicts resolved. Continuing cherry-pick."
git cherry-pick --continue || { echo "Cherry-pick failed, but continuing to create PR."; }
else
echo "Cherry-pick successful for commit $merge_commit."
fi fi
git remote set-url origin "https://${BOT_TOKEN}@github.com/${{ github.repository }}.git" git remote set-url origin "https://${BOT_TOKEN}@github.com/${{ github.repository }}.git"
echo "Pushing branch: $cherry_pick_branch" echo "Pushing branch: $cherry_pick_branch"
if ! git push origin $cherry_pick_branch --force; then git push origin $cherry_pick_branch --force || { echo "Push failed"; exit 1; }
echo "Push failed, but continuing to create PR..."
fi
new_pr_title="$pr_title [Created by @$pr_creator from #$pr_number]" new_pr_title="$pr_title [Created by @$pr_creator from #$pr_number]"
new_pr_body="$pr_body new_pr_body="$pr_body